Návrh engine je v konfliktu s engine
API na tento problém odpovídá kódem 409 Conflict. Hodnota type je https://lingo.dev/docs/api/errors/engine-suggestion-conflicts. Společnou strukturu všech chyb najdete v části Chyby a stavové kódy.
Tento návrh engine nelze použít. <detail>
Pole#
Kromě standardních položek type, status, title a detail obsahuje tělo odpovědi následující pole. Z jejich hodnot se sestavuje text detail, takže klient může místo něj zobrazit vlastní text.
| Pole | Typ |
|---|---|
id | string |
reason | GlossaryTermsTaken | GlossaryTermTranslationTaken | GlossaryTermsCreatedConcurrently | BrandVoiceVariationLocaleTaken |
Příklad#
json
{
"detail": "Cannot apply this engine suggestion. <detail>",
"id": "<id>",
"reason": {
"detail": "<detail>",
"instance": "<instance>",
"texts": [
"<texts>"
],
"type": "https://lingo.dev/docs/api/errors/glossary-terms-taken",
"status": 409,
"title": "Glossary terms taken"
},
"type": "https://lingo.dev/docs/api/errors/engine-suggestion-conflicts",
"status": 409,
"title": "Engine suggestion conflicts with engine"
}Koncové body vracející tuto chybu#
POST /v2/engine-suggestions/{id}/apply